import 'package:json_annotation/json_annotation.dart';

part 'session_identifier.g.dart';


@JsonSerializable()
class SessionIdentifierDto {
  final String clientId;
  final String deviceId;

  const SessionIdentifierDto({
    required this.clientId,
    required this.deviceId,
  });

  factory SessionIdentifierDto.fromJson(Map<String, dynamic> json) => _$SessionIdentifierDtoFromJson(json);
  Map<String, dynamic> toJson() => _$SessionIdentifierDtoToJson(this);
}
